Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 18 Mar 2022 06:16:10 +0000

Hi Shahad Albelihed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi,

I do not appreciate getting text messages with false information about delivery attempts that never happened. 

Last night I received a call from your delivery person asking for my address which I then shared on WhatsApp, he responded it was too far and he would attempt today. After calling his number today with no response, I  received a text tonight saying the delivery didn't happen because of incomplete address.

I don't understand why I provide my address for shipping on the platform as well as to the delivery personnel directly and still get text messages with wrong information and no delivery.

Please look into this. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4042242